<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE device_masters (
                id					BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                plant_id            BIGINT NOT NULL,

                name                TEXT NOT NULL,
                mac_address         TEXT DEFAULT NULL,
                ip_address          TEXT DEFAULT NULL,

                created_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at			TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at			TIMESTAMP,

                created_by			TEXT NULL,

                UNIQUE (name, plant_id),
                FOREIGN KEY (plant_id)      REFERENCES  plants (id)

            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('device_masters');
    }
};
